# Enum HintKind

java.lang.Object
java.lang.Enum<HintKind>
com.codename1.annotations.buildhints.HintKind

All Implemented Interfaces:
  `Comparable<HintKind>`

public enum HintKind extends Enum<HintKind>

What a `String` build hint really holds.

The attribute's Java type says whether a hint is a flag, a number, a list or one of a closed set. It cannot say which KIND of string a string is, and the Settings editor picks its control from exactly that: a version gets a version field, a secret gets a masked one, an XML fragment gets a multi-line box.

Named rather than spelled out in a string member, so a typo is a compile error instead of a hint that quietly renders as a plain text field.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Whatever the attribute's Java type says on its own.
  `PATH`
  A filesystem path.
  `SECRET`
  A credential, which the editor must not show in the clear.
  `TEXT_BLOCK`
  Prose or code long enough to want more than one line.
  `URL`
  A URL.
  `VERSION`
  A version number.
  `XML`
  An XML fragment spliced into a manifest or a project file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HintKind`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static HintKind[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final HintKind DEFAULT
    Whatever the attribute's Java type says on its own.

  - ### TEXT_BLOCK

    public static final HintKind TEXT_BLOCK
    Prose or code long enough to want more than one line.

  - ### XML

    public static final HintKind XML
    An XML fragment spliced into a manifest or a project file.

  - ### PATH

    public static final HintKind PATH
    A filesystem path.

  - ### URL

    public static final HintKind URL
    A URL.

  - ### VERSION

    public static final HintKind VERSION
    A version number.

  - ### SECRET

    public static final HintKind SECRET
    A credential, which the editor must not show in the clear.

- ## Method Details

  - ### values

    public static HintKind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static HintKind valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null